/* Copyright (c) 2010, Code Aurora Forum. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Code Aurora Forum, Inc. nor
 *       the names of its contributors may be used to endorse or promote
 *       products derived from this software without specific prior written
 *       permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef QDSP5RMTMSG_H
#define QDSP5RMTMSG_H

/*====*====*====*====*====*====*====*====*====*====*====*====*====*====*====*

       R M T A S K   M S G

GENERAL DESCRIPTION
  Messages sent by RMTASK to APPS PROCESSOR

REFERENCES
  None

EXTERNALIZED FUNCTIONS
  None
*====*====*====*====*====*====*====*====*====*====*====*====*====*====*====*/

/*
 * RMTASK uses RmtApuRlist to send messages to the APPS PROCESSOR
 * Location : MEMA
 * Buffer Size : 3
 */

#define RMT_CODEC_CONFIG_ACK	0x1

struct aud_codec_config_ack {
	unsigned char			task_id;
	unsigned char			client_id;
	unsigned char			reason;
	unsigned char			enable;
	unsigned short			dec_type;
} __attribute__((packed));

#define RMT_DSP_OUT_OF_MIPS	0x2

struct rmt_dsp_out_of_mips {
	unsigned short			dec_info;
	unsigned short			rvd_0;
	unsigned short			rvd_1;
} __attribute__((packed));

#endif /* QDSP5RMTMSG_H */

