/* /kernel/arch/arm/mach-msm/leds-hallon.c
 *
 * Copyright (C) [2010] Sony Ericsson Mobile Communications AB.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2, as
 * published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

#include <linux/leds-as3676.h>
#include <linux/leds.h>

static struct as3676_platform_led as3676_leds_mapping[] = {
	{
		.name = "lcd-backlight",
		.sinks = BIT(AS3676_SINK_01),
		.flags = AS3676_FLAG_ALS | AS3676_FLAG_PWM_INIT
			| AS3676_FLAG_DLS,
		.max_current = 25000,
		.default_brightness = LED_FULL,
	},
	{
		.name = "button-backlight-rgb1",
		.sinks = BIT(AS3676_SINK_RGB1),
		.flags = AS3676_FLAG_ALS,
		.max_current = 25000,
	},
	{
		.name = "button-backlight-rgb2",
		.sinks = BIT(AS3676_SINK_RGB2),
		.flags = AS3676_FLAG_ALS,
		.max_current = 25000,
	},
	{
		.name = "red",
		.sinks = BIT(AS3676_SINK_41),
		.flags = AS3676_FLAG_RGB | AS3676_FLAG_BLINK | AS3676_FLAG_ALS,
		.max_current = 25000,
	},
	{
		.name = "green",
		.sinks = BIT(AS3676_SINK_42),
		.flags = AS3676_FLAG_RGB | AS3676_FLAG_BLINK | AS3676_FLAG_ALS,
		.max_current = 25000,
	},
	{
		.name = "blue",
		.sinks = BIT(AS3676_SINK_43),
		.flags = AS3676_FLAG_RGB | AS3676_FLAG_BLINK | AS3676_FLAG_ALS,
		.max_current = 25000,
	},
};

struct as3676_platform_data as3676_platform_data = {
	.leds = as3676_leds_mapping,
	.num_leds = ARRAY_SIZE(as3676_leds_mapping),
	.als_connected = 1,
	.als_wait = 100,
	.dls_connected = true,
	.ldo_mV = 3000,
};
